

<meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
<meta name="keywords" content="disk encryption, security, transparent, AES, OTFE, plausible deniability, virtual drive, Linux, MS Windows, portable, USB drive, partition">
<meta name="description" content="DoxBox: An Open-Source transparent encryption program for PCs. Using this software, you can create one or more &quot;DoxBoxes&quot; on your PC - which appear as disks, anything written to these disks is automatically encrypted before being stored on your hard drive.">

<meta name="author" content="Sarah Dean">
<meta name="copyright" content="Copyright 2004, 2005, 2006, 2007, 2008 Sarah Dean">
<meta name="ROBOTS" content="ALL">

<TITLE>Contents</TITLE>

<link href="./styles_common.css" rel="stylesheet" type="text/css">


<link rel="shortcut icon" href="../src/Common/Common/images/DoxBox.ico" type="image/x-icon">

<SPAN CLASS="master_link">
[![DoxBox logo](../src/Common/Common/images/DoxBox64.png)](http://DoxBox.squte.com/)
</SPAN>
<SPAN CLASS="master_title">
_[DoxBox](http://DoxBox.squte.com/): Open-Source disk encryption for Windows_
</SPAN>
***

      
* [Introduction](description.md)
* [Download](download.md)
* [Installation and Upgrading](installation_and_upgrading.md)


* [PC Version](installation_and_upgrading__PC.md)

	+ [Windows Vista	x64 / Windows	7	x64 Additional](impact_of_kernel_driver_signing.md)

* [Getting Started](getting_started.md)
* [Advanced Topics](advanced_topics.md)
* [Portable Mode](portable_mode.md)
* [Security Token/Smartcard Support](pkcs11_support.md)
* [Command Line Interface](command_line.md)
* [Linux Volumes](Linux_volumes.md)

	+ [Examples: Cryptoloop](Linux_examples__cryptoloop.md)
	+ [Examples: dm-crypt](Linux_examples__dm-crypt.md)
	+ [Examples: LUKS](Linux_examples__LUKS.md)
	
* [Plausible Deniability](plausible_deniability.md)
* [Miscellaneous Notes](notes.md)

	+ [PC Version Specific](notes_PC.md)


* [FAQ](FAQ.md)
* [Technical Details](technical_details.md)


* [Volumes and Keyfiles](technical_details__FreeOTFE_volumes_and_keyfiles.md)

* [Critical Data Block Layouts](technical_details__FreeOTFE_CDB_layout.md)

	+ [Format ID 1](technical_details__FreeOTFE_CDB_layout_format_1.md)
	+ [Format ID 2](technical_details__FreeOTFE_CDB_layout_format_2.md)
	+ [Format ID 3](technical_details__FreeOTFE_CDB_layout_format_3.md)
	+ [Format ID 4](technical_details__FreeOTFE_CDB_layout_format_4.md)


* [Creating Volumes](technical_details__creating_FreeOTFE_volumes.md)
* [Mounting Volumes](technical_details__mounting_FreeOTFE_volumes.md)
* [Encrypted Partition Image Encryption/Decryption](technical_details__partition_encryption_decryption.md)
* [Registry Entries](technical_details__registry_entries.md)
* [Random Number Generators (RNGs)](technical_details__RNGs.md)
* [Building the Software](technical_details__build_notes.md)
* [Creating a New Hash/Cypher Driver](technical_details__creating_a_new_hash_cypher_driver.md)
* [Filename Extensions](technical_details__filename_extensions.md)

* [Known Bugs](known_bugs.md)
* [Fault/Bug Reporting](fault_reporting.md)
* [TODO List](TODO_list.md)
* [Appendix A: Version History](version_history.md)
* [Appendix B: Credits](credits.md)
* [Appendix C: Licence](licence.md)
* [Appendix D: Glossary](glossary.md)
* [Appendix E: PKCS#11 Driver Libraries](pkcs11_drivers.md)
* [Appendix F: Command Line Decryption Utilities](command_line_decryption_utilities.md)
* [Appendix G: Uninstalling](uninstalling.md)
* [Appendix H: Contact Details](contact_details.md)

 



